Bug 52916 - /sbin/ifup doesn't return for automatic-dialing PPP connections.
/sbin/ifup doesn't return for automatic-dialing PPP connections.
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-30 16:49 EDT by Nalin Dahyabhai
Modified: 2014-03-16 22:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 15:08:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2001-08-30 16:49:02 EDT
Version-Release number of selected component (if applicable):
0.7.10-1

How reproducible:
Always

Steps to Reproduce:
1.Set up a PPP connection.  On the "Advanced" tab, select dialing type of
"auto".
2.Open a terminal window.  Run "/sbin/ifup ppp0".
3.Wait for the interface to come up.  You won't get a prompt back.
	

Actual Results:  [Dialer IPass]
Phone = 424-0050
Password = XXXXXX
Username = XXXXXX
Inherits = Modem0


Expected Results:  [Modem0]
Modem = /dev/ttyS2
# other stuff specific to the modem: init strings, etc.

[Dialer IPass]
Phone = 424-0050
Password = XXXXXX
Username = XXXXXX
Inherits = Modem0

Additional info:
Comment 1 Nalin Dahyabhai 2001-08-30 16:53:28 EDT
This may be an initscripts bug, but I'm unsure of where the breakage is.  The
Actual and Expected results I entered are left over from another bug.
Comment 2 Ngo Than 2001-08-31 08:12:09 EDT
please try redhat-config-network from CVS and the new initscript. I cannot
reproduce it on my local machine.

I close it. If the bug is still here, please reopen it.
Comment 3 Nalin Dahyabhai 2001-09-04 15:23:59 EDT
ifup now blocks until another process causes the connection to actually be
brought up, and then ifup detaches/exits.
Comment 4 Ngo Than 2001-10-16 14:11:54 EDT
It's a bug in initscript. Nalin, did it work in 7.1/7.0? i did not make change in
initscript for modem !
Comment 5 Ngo Than 2001-10-16 14:13:03 EDT
It's bug in initscript.
Comment 6 Bill Nottingham 2005-09-29 15:08:56 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

If this persists on a current release, such as Fedora Core 4, please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.